Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class ASTLocalVariableDeclaration

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.AccessNode
                  net.sourceforge.pmd.ast.ASTLocalVariableDeclaration

All Implemented Interfaces:
  CanSuppressWarnings, Dimensionable, JavaNode, Node

public class ASTLocalVariableDeclaration
extends AccessNode
implements Dimensionable, CanSuppressWarnings

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.AccessNode
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTLocalVariableDeclaration(int id)`
`ASTLocalVariableDeclaration(JavaParser p, int id)`

Method Summary
`void` | `dump(java.lang.String prefix)`
`int` | `getArrayDepth()`
`boolean` | `hasSuppressWarningsAnnotationFor(Rule rule)`
`boolean` | `isArray()`
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.AccessNode
`collectDumpedModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, removeModifier, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTLocalVariableDeclaration

    public ASTLocalVariableDeclaration(int id)

### ASTLocalVariableDeclaration

    public ASTLocalVariableDeclaration(JavaParser p,
                                       int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### hasSuppressWarningsAnnotationFor

    public boolean hasSuppressWarningsAnnotationFor(Rule rule)

  Specified by:
    `hasSuppressWarningsAnnotationFor` in interface `CanSuppressWarnings`

### isArray

    public boolean isArray()

  Specified by:
    `isArray` in interface `Dimensionable`

### getArrayDepth

    public int getArrayDepth()

  Specified by:
    `getArrayDepth` in interface `Dimensionable`

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.